Subject: Worktree "gitdir" file being mangled after upgrade to 2.7.0

From: Erik Johnson <[email-masked]>
Date: Wed, 13 Jan 2016 17:47:53 -0600

Since upgrading to 2.7.0 last week, eventually I'll get to a point when
I run 'git worktree list' where several worktrees are incorrectly
reported as pointing to my main git checkout. Further analysis of the
files in $GIT_DIR/worktrees/worktree_name/ shows that the gitdir file
for the worktrees which display incorrectly contains ".git" instead of
what it should contain (i.e. "/path/to/worktree/.git".

This was reported a couple days ago on Github:

https://github.com/git/git-scm.com/issues/650

Since the audiences for the mailing list and Github don't overlap
completely, I figured I'd report it here to get this issue in front of
as many eyes as possible.

--

-Erik

"For me, it is far better to grasp the universe as it really is than to
persist in delusion, however satisfying and reassuring."  --Carl Sagan